rte_gtp_psc_generic_hdr(3)

NAME
rte_gtp_psc_generic_hdr

SYNOPSIS

#include <rte_gtp.h>

  Data Fields

uint8_t ext_hdr_len
uint8_t type:4
uint8_t qmp:1
uint8_t pad:3
uint8_t spare:2
uint8_t qfi:6
uint8_t data [0]

Detailed Description

Optional extension for GTP with next_ext set to 0x85 defined based on RFC 38415-g30.

Definition at line 65 of file rte_gtp.h.

Field Documentation

  uint8_t ext_hdr_len
PDU ext hdr len in multiples of 4 bytes

Definition at line 66 of file rte_gtp.h.

  uint8_t type
PDU type

Definition at line 68 of file rte_gtp.h.

  uint8_t qmp
Qos Monitoring Packet

Definition at line 69 of file rte_gtp.h.

  uint8_t pad
type specific pad bits

Definition at line 70 of file rte_gtp.h.

  uint8_t spare
type specific spare bits

Definition at line 71 of file rte_gtp.h.

  uint8_t qfi
Qos Flow Identifier

Definition at line 72 of file rte_gtp.h.

  uint8_t data[0]
variable length data fields

Definition at line 80 of file rte_gtp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.